Packages

Integration packages available to the account, with their pricing and access details.

List all integration packages

Get the list of all integration packages.

SecurityAPIKey
Responses
200

OK

401

Authorization information is missing or invalid.

get/packages
Request samples
Response samples
application/json
[
  • {
    • "id": "leadconduit-salesforce",
    • "provider": "Salesforce",
    • "description": "string",
    • "name": "string",
    • "paths": [
      • "string"
      ],
    • "link": "string",
    • "ui": true,
    • "images": true,
    • "version": "string",
    • "integrations": [
      • {
        • "id": "leadconduit-salesforce.outbound.create_contact",
        • "type": "inbound",
        • "direction": "inbound",
        • "name": "string",
        • "description": "string",
        • "tag": "string",
        • "feedback": true,
        • "median_wait_ms": 0,
        • "pricing": {
          • "type": "string",
          • "unit": "string",
          • "transaction": true,
          • "tiers": [
            • {
              • "unit_price": 0,
              • "start_qty": 0,
              • "end_qty": 0
              }
            ]
          },
        • "request_variables": [
          • {
            • "name": "string",
            • "description": "string",
            • "required": true,
            • "type": "string"
            }
          ],
        • "response_variables": [
          • {
            • "name": "string",
            • "description": "string",
            • "required": true,
            • "type": "string"
            }
          ],
        • "entity_id": "5fd4371e940df5a34a3888b2",
        • "editable": true
        }
      ]
    }
]

Fetch a single integration package

Fetch a single integration package.

SecurityAPIKey
Request
path Parameters
id
required
string (ID) ^[0-9a-fA-F]{24}$

ID of the package

Example: 5fd4371e940df5a34a3888b2
Responses
200

OK

401

Authorization information is missing or invalid.

get/packages/{id}
Request samples
Response samples
application/json
{
  • "id": "leadconduit-salesforce",
  • "provider": "Salesforce",
  • "description": "string",
  • "name": "string",
  • "paths": [
    • "string"
    ],
  • "link": "string",
  • "ui": true,
  • "images": true,
  • "version": "string",
  • "integrations": [
    • {
      • "id": "leadconduit-salesforce.outbound.create_contact",
      • "type": "inbound",
      • "direction": "inbound",
      • "name": "string",
      • "description": "string",
      • "tag": "string",
      • "feedback": true,
      • "median_wait_ms": 0,
      • "pricing": {
        • "type": "string",
        • "unit": "string",
        • "transaction": true,
        • "tiers": [
          • {
            • "unit_price": 0,
            • "start_qty": 0,
            • "end_qty": 0
            }
          ]
        },
      • "request_variables": [
        • {
          • "name": "string",
          • "description": "string",
          • "required": true,
          • "type": "string"
          }
        ],
      • "response_variables": [
        • {
          • "name": "string",
          • "description": "string",
          • "required": true,
          • "type": "string"
          }
        ],
      • "entity_id": "5fd4371e940df5a34a3888b2",
      • "editable": true
      }
    ]
}